<template>
  <div id="app">
    <component :is="layout">
      <router-view/>
    </component>
  </div>
</template>

<script>
  import AuthLayout from "@/layouts/AuthLayout";
  import AppLayout from "@/layouts/AppLayout";

  export default {
    computed: {
      layout() {
        return (this.$route.meta.layout || 'auth') + '-layout';
      }
    },
    components: {
      AuthLayout, AppLayout
    }
  }
</script>

<style lang="scss">
  @import '~materialize-css/dist/css/materialize.min.css';
  @import 'assets/index.css';
</style>
